package com.trade.service.contract.util.esign;

import com.alibaba.fastjson2.JSONObject;
import com.trade.common.constant.HttpStatus;
import com.trade.common.exception.ServiceException;

public class ESignJSONHelper {

    /**
     * 格式化json data数据
     * @param json
     * @return
     * @author 宫清
     * @date 2019年7月20日 下午5:34:38
     */
    @SuppressWarnings("unchecked")
    public static <T> T castDataJson(JSONObject json, Class<T> clz) {
        Object obj = json.get("data");
        int code = json.getIntValue("code");
        if (code != 0 && obj == null) {
            throw new ServiceException(json.getString("message"), HttpStatus.ERROR);
        }
        return (T) obj;
    }
}
